Package org.pushingpixels.substance.swingx

# Class SubstanceTitledPanelUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.PanelUI
org.jdesktop.swingx.plaf.TitledPanelUI
org.jdesktop.swingx.plaf.basic.BasicTitledPanelUI
org.pushingpixels.substance.swingx.SubstanceTitledPanelUI

public class SubstanceTitledPanelUI extends org.jdesktop.swingx.plaf.basic.BasicTitledPanelUI
Substance-consistent UI delegate for `JXTitledPanel`.

## Field Summary

### Fields inherited from class org.jdesktop.swingx.plaf.basic.BasicTitledPanelUI

`caption, left, right, titleChangeListener, topPanel`

## Constructor Summary

Constructors
Constructor
Description
`SubstanceTitledPanelUI()`

## Method Summary

Modifier and Type
Method
Description
`protected org.jdesktop.swingx.JXPanel`
`createAndConfigureTopPanel(org.jdesktop.swingx.JXTitledPanel titledPanel)`
`static ComponentUI`
`createUI(JComponent comp)`
`protected void`
`installComponents(org.jdesktop.swingx.JXTitledPanel titledPanel)`
`protected void`
`uninstallDefaults(org.jdesktop.swingx.JXTitledPanel titledPanel)`

### Methods inherited from class org.jdesktop.swingx.plaf.basic.BasicTitledPanelUI

`createAndConfigureCaption, getCaptionInsets, getLeftDecoration, getRightDecoration, getTitleBar, installDefaults, installListeners, installProperty, installUI, paint, setLeftDecoration, setRightDecoration, uninstallComponents, uninstallListeners, uninstallUI`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceTitledPanelUI

public SubstanceTitledPanelUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent comp)

### installComponents

protected void installComponents(org.jdesktop.swingx.JXTitledPanel titledPanel)

Overrides:
  `installComponents` in class `org.jdesktop.swingx.plaf.basic.BasicTitledPanelUI`

### createAndConfigureTopPanel

protected org.jdesktop.swingx.JXPanel createAndConfigureTopPanel(org.jdesktop.swingx.JXTitledPanel titledPanel)

Overrides:
  `createAndConfigureTopPanel` in class `org.jdesktop.swingx.plaf.basic.BasicTitledPanelUI`

### uninstallDefaults

protected void uninstallDefaults(org.jdesktop.swingx.JXTitledPanel titledPanel)

Overrides:
  `uninstallDefaults` in class `org.jdesktop.swingx.plaf.basic.BasicTitledPanelUI`